### Method

# WebKit2 AuthenticationRequest set_can_save_credentials

since: 2.30

#### Declaration [src]

    void
    webkit_authentication_request_set_can_save_credentials (
      WebKitAuthenticationRequest* request,
      gboolean enabled
    )

#### Description [src]

Set whether the authentication method associated with `request` should allow the storage of credentials.

Set whether the authentication method associated with `request` should allow the storage of credentials. This should be used by applications handling their own credentials storage to indicate that it should be supported even when internal credential storage is disabled or unsupported. Note that storing of credentials will not be allowed on ephemeral sessions in any case.

Available since: 2.30

#### Parameters

`enabled`

  Type: `gboolean`

  Value to set.